# Feiertage synchronisieren

`POST https://{tenant}.stamp.eu/rest/holidays/sync`

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `source_key` | `NATIONAL`, `BW`, `BY`, `BE`, `BB`, `HB`, `HH`, `HE`, `MV`, `NI`, `NW`, `RP`, `SL`, `SN`, `ST`, `SH`, `TH` | ja |
| `year` | integer | ja |

## Antworten

### 200: `HolidayResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.name` | string | ja |
| `data.is_system` | string | ja |
| `data.source_key` | string | ja |
| `data.entries` | object[] | nein |
| `data.entries[].id` | string | ja |
| `data.entries[].date` | string | ja |
| `data.entries[].name` | string | ja |
| `data.entries[].half_day` | string | ja |
| `data.created_at` | string | ja |
| `data.updated_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
